{% extends "car_collection/__base.html" %}

{% load static %}

{% block content %}
<div class="card shadow">
  <div class="card-header">
    Toutes les voitures ({{ page_obj.paginator.count }} voitures)
  </div>
  <div class="card-body">
    <table class="table align-middle">
      <thead class="thead-light">
        <tr>
          <th scope="col">Marque</th>
          <th scope="col">Modèle
            <a href="{% url 'carmodel_all' %}?order=-name"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'carmodel_all' %}?order=name"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
          <th scope="col">Année
            <a href="{% url 'carmodel_all' %}?order=-year"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'carmodel_all' %}?order=year"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
          <th scope="col">Image</th>
          <th scope="col">Rang
            <a href="{% url 'carmodel_all' %}?order=-rank"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'carmodel_all' %}?order=rank"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
          <th scope="col">Prix
            <a href="{% url 'carmodel_all' %}?order=-price"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'carmodel_all' %}?order=price"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        {% for carmodel in carmodel_list %}
        <tr>
          <td>{{ carmodel.brand.name }}</td>
          <td>
            <a href="{% url 'carmodel' carmodel.id %}">{{ carmodel.name }}</a>
          </td>
          <td>{{ carmodel.year }}</td>
          <td><img src="{{ carmodel.picture.url }}" height="60"/></td>
          <td><img style="max-width:60px" src="{% static carmodel.rank_url %}"/></td>
          <td>{{ carmodel.price }}</td>
          <td>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'carmodel_edit' carmodel.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/actions/document-edit-symbolic.svg' %}" title="Editer" />
            </a>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'carmodel_delete' carmodel.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/places/user-trash-symbolic.svg' %}" title="Supprimer" />
            </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% if is_paginated %}
      {% include "car_collection/_pagination.html" %}
    {% endif %}
  </div>
  <div class="card-footer">
    <a href="{% url 'carmodel_all' %}?view=table">Voir en table</a>
  </div>
</div>
{% endblock %}
